/*
 * Copyright (c) 2012, 2013, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 * $Id$
 */

package com.sun.ts.tests.jaxrs.ee.rs.container.responsecontext;

import java.util.HashSet;
import java.util.Set;

import javax.ws.rs.core.Application;

import com.sun.ts.tests.jaxrs.common.provider.PrintingErrorHandler;
import com.sun.ts.tests.jaxrs.common.provider.StringBeanEntityProvider;

public class TSAppConfig extends Application {

	public java.util.Set<java.lang.Class<?>> getClasses() {
		Set<Class<?>> resources = new HashSet<Class<?>>();
		resources.add(Resource.class);
		resources.add(ResponseFilter.class);
		resources.add(SecondResponseFilter.class);
		resources.add(PrintingErrorHandler.class);
		resources.add(StringBeanEntityProvider.class);
		return resources;
	}
}
